Loading...
Searching...
No Matches
EST_ServiceTable Class Reference

`#include <include/EST_ServiceTable.h>`

## Classes

class | Entry

## Static Public Member Functions

Finding What Services Are Available.
Servers maintain a per-user file which lists the processes which are running in server mode by name. These functions read that table.
static void | read_table (void)
| Read the users default table. <filename>~/.estServices</filename>.
static void | read_table (EST_String socketsFileName)
| Read a specific table.
static void | write_table (void)
| Write the users default table. <filename>~/.estServices</filename>.
static void | write_table (EST_String socketsFileName)
| Write a specific table.
static void | list (ostream &s, const EST_String type)
| List the table to given stream.
static void | names (EST_TList< EST_String > &names, const EST_String type="")
| Return a list of server names.
static const Entry & | lookup (const EST_String name, const EST_String type)
static const Entry & | create (const EST_String name, const EST_String type, int socket)

## Detailed Description

A global table of known services. Used for fringe and festival servers.

Author
  Richard Caley rjc@c.nosp@m.str..nosp@m.ed.ac.nosp@m..uk

Version

Id
  EST_ServiceTable.h,v 1.2 2001/04/04 13:11:27 awb Exp

Definition at line 49 of file EST_ServiceTable.h.

## Member Function Documentation

## lookup()

const Entry & EST_ServiceTable::lookup | ( | const EST_String | name,
|  | const EST_String | type )

static

Return the entry for the server with the given name and type. If no such entry is found a dummy entry with a port of 0 is returned.

## create()

const Entry & EST_ServiceTable::create | ( | const EST_String | name,
|  | const EST_String | type,
|  | int | socket )

static

Create an entry for a server of the given name and type which is listening on the given socket.

The documentation for this class was generated from the following file:

- include/EST_ServiceTable.h